nyholm/google-api-php-client

This package is abandoned and no longer maintained. The author suggests using the google/google-api-php-client package instead.

Google API library for PHP (with namespaces). This packet is maintained! Version 0.6.2 of original code.

dev-master 2014-01-23 07:55 UTC

README

This is version 0.6.2 of the Google Api. If you want to use the lastes version of this lib checkout this repo.

If you want a symfony2 bundle for this lib, check out my other repo: https://github.com/HappyR/GoogleApiBundle

Description

The Google API Client Library enables you to work with Google APIs such as Google+, Drive, Tasks, or Latitude on your server.

This is a forked version from 0.6.2:

Current version is hosted here:

Are you using Symfony2? Check out the Symfony2 bundle that uses this lib.

Fork information

This project was forked to modernize the google api codebase a little bit. The following changes have been made:

  • Gotted rid of all require() statements. An autoloader is now required
  • Renamed all classes. Everything is now in a GoogleApi namespace.
  • Added composer package information
  • Gotted rid of automatically executing code.

The existing documentation applies, just keep in mind that instead of class like apiHttpRequest, you must now use \GoogleApi\Io\HttpRequest.

== Requirements:

Project page: http://code.google.com/p/google-api-php-client

OAuth 2 instructions:

Report a defect or feature request here:

Subscribe to project updates in your feed reader:

Supported sample applications:

== Basic Example

  <?php
  require_once 'path/to/src/Google_Client.php';
  require_once 'path/to/src/contrib/apiBooksService.php';

  $client = new Google_Client();
  $service = new Google_BooksService($client);

  $optParams = array('filter' => 'free-ebooks');
  $results = $service->volumes->listVolumes('Henry David Thoreau', $optParams);

  foreach ($results['items'] as $item) {
    print($item['volumeInfo']['title'] . '<br>');
  }